{
  "openapi": "3.0.0",
  "info": {
    "description": "## Introduction\n\nDeploy highly available containerized apps in Kubernetes clusters and use the powerful tools of IBM Cloud Kubernetes Service to automate, isolate, secure, manage, and monitor your workloads across cloud locations. Use the IBM Cloud Kubernetes Service API to manage your Kubernetes cluster infrastructure in IBM Cloud. For example, you can create clusters; add capacity for your workloads by resizing worker pools; manage networking, storage, and logging resources that are attached to your cluster; and enable IBM Cloud add-ons to optimize your cluster management experience. To use the Kubernetes API to manage your application workloads within your cluster, see the [product documentation](https://cloud.ibm.com/docs/containers?topic=containers-cs_api_install#kube_api).\n\n## Before you begin\n\n- Make sure that you have access to a [paid IBM Cloud account](https://cloud.ibm.com/registration).\n- [Choose a strategy](https://cloud.ibm.com/docs/containers?topic=containers-strategy) for setting up and maintaining a cluster. This process includes choosing worker node flavors, setting up networking, and selecting the highest available configuration as possible.\n\n## Charges\n\nWith IBM Cloud Kubernetes Service clusters, you can use IBM Cloud infrastructure compute, networking, and storage resources with platform services such as Watson AI or Compose Database-as-a-Service. Each resource might entail its own charges that can be fixed, metered, tiered, or reserved. For more information, see [What am I charged for when I use IBM Cloud Kubernetes Service?](https://cloud.ibm.com/docs/containers?topic=containers-faqs#charges)\n\n## Authentication\n\nThe IBM Cloud Kubernetes Service API uses IBM Cloud Identity and Access Management (IAM) to authenticate requests. Pass a bearer token in an Authorization header or an `apikey`. Tokens support authenticated requests without embedding service credentials in every call. \n\n## Authorization\n\nTo use the IBM Cloud Kubernetes Service API, you must be authorized to work with the service in IBM Cloud Identity and Access Management (IAM). The service uses IAM platform and service access roles to determine your permissions and the actions that you can perform. Make sure that you are assigned [Permissions to create a cluster](https://cloud.ibm.com/docs/containers?topic=containers-iam-platform-access-roles#cluster-create-permissions).\n\nBeginning with version 4.0.0, the Node SDK returns a Promise for all methods when a callback isn't specified.\n\nThe package location moved to `ibm-watson`. It's available at `watson-developer-cloud` but is not updated there. Use `ibm-watson` to stay up to date.\n\n## IAM and Activity Tracker actions by API method\n\nFor a list of the IBM Cloud Identity and Access Management (IAM) action and Activity Tracker events by API method, see the [product documentation](https://cloud.ibm.com/docs/containers?topic=containers-iam-platform-access-roles).\n\n## API endpoint\n\nUse the following API endpoint for all API requests: \n\n```sh\nhttps://containers.cloud.ibm.com/global\n```\n\n## Versioning\n\nThe API is versioned to support the different infrastructure providers that are available for you to create clusters. All `/v1` APIs can be used to work only with IBM Cloud classic infrastructure. To work with a cluster that was provisioned on IBM Virtual Private Cloud (VPC) infrastructure, you must use the `/v2` API. \n\nFor information about the API versions, see [About the API](https://cloud.ibm.com/docs/containers?topic=containers-cs_api_install#api_about). \n\n## Error handling\n\nThis API uses standard HTTP response codes to indicate whether a method completed successfully. A `200` response indicates success. A `400` type response is some sort of failure, and a `500` type response usually indicates an internal system error.\n\n| HTTP error code | Description | Recovery |\n|-----------------|-------------|----------|\n| `200` | Success | The request was successful. |\n| `400` | Bad Request | The input parameters in the request body are either incomplete or in the wrong format. Include all required parameters in your request. |\n| `401` | Unauthorized | You are not authorized to make this request. Log in to IBM Cloud and try again. If this error persists, contact the account owner to check your permissions.\t|\n| `403` | Forbidden | The supplied authentication is not authorized to access the cluster or an associated cluster resource. Check that you have the correct access credentials and permissions. |\n| `404` | Not Found | The requested resource could not be found. |\n| `408` | Request Timeout | The connection to the server timed out. Wait a few minutes, then try again. |\n| `409` | Conflict | The cluster or an associated cluster resource with the same name or ID already exists. |\n| `500` | Internal Server Error | IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support. |",
    "title": "Kubernetes Service API",
    "version": "1.1",
    "x-github": "https://github.ibm.com/cloud-api-docs/kubernetes",
    "x-github-issues": "https://github.ibm.com/cloud-api-docs/kubernetes/issues/new",
    "x-last-updated": "2026-03-27"
  },
  "paths": {
    "/ingress/v2/clusters/{idOrName}/albs/{albID}/autoscale": {
      "get": {
        "description": "Get the autoscaling configuration for an ALB. The autoscaling feature is enabled when there is a configuration set for the ALB. If the configuration is missing, the feature is disabled.",
        "tags": [
          "ingress-autoscale"
        ],
        "summary": "Get the autoscaling configuration for an ALB.",
        "operationId": "V2GetAutoScale",
        "parameters": [
          {
            "description": "Your IBM Cloud Identity and Access Management (IAM) token. To retrieve your IAM token, run `ibmcloud iam oauth-tokens`.",
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The name or ID of the cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.",
            "name": "id_or_name",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The ID of the ALB that you want details for. To list the IDs for the ALBs in a cluster, use the `GET /clusters/{idOrName}` API or run `ibmcloud ks alb ls --cluster <cluster_name_or_ID>`.",
            "name": "alb_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Ok. The autoscaling configuration for your ALB is returned.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "400": {
            "description": "Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0001",
                  "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud iam oauth-tokens",
                  "terseDescription": "Unauthorized",
                  "type": "Authentication"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden. The credentials set for the region and resource group have insufficient permissions to use a requested optional feature.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "404": {
            "description": "Not found. No autoscale configuration set for this cluster and ALB, or the specified cluster or ALB could not be found.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0002",
                  "description": "The requested resource could not be found. Verify the resource ID and try again.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster ls",
                  "terseDescription": "Not found",
                  "type": "NotFound"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0003",
                  "description": "An internal server error occurred. Try again later or contact support if the problem persists.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>",
                  "terseDescription": "Internal error",
                  "type": "InternalServerError"
                }
              }
            }
          }
        },
        "x-ibm-events": {
          "description": "An autoscaling configuration is returned.",
          "events": [
            {
              "name": "cluster-alb-autoscale.get"
            }
          ]
        },
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "containers-kubernetes.cluster.read"
            }
          ],
          "description": "To call this endpoint, you must have the Viewer platform role for the Kubernetes Service in IAM."
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X GET \"/global/ingress/v2/clusters/{idOrName}/albs/{albID}/autoscale\" \\\n",
                      "  -H \"Authorization: Bearer $IAM_TOKEN\"\n"
                    ]
                  }
                ]
              }
            ]
          }
        }
      },
      "put": {
        "description": "Set an autoscaling configuration for an ALB. Setting a configuration enables the autoscaling feature. You can also use this endpoint to change the autoscaling configuration.",
        "tags": [
          "ingress-autoscale"
        ],
        "summary": "Set the autoscaling configuration for an ALB.",
        "operationId": "V2SetAutoScale",
        "parameters": [
          {
            "description": "Your IBM Cloud Identity and Access Management (IAM) token. To retrieve your IAM token, run `ibmcloud iam oauth-tokens`.",
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The name or ID of the cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.",
            "name": "id_or_name",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The ID of the ALB that you want details for. To list the IDs for the ALBs in a cluster, use the `GET /clusters/{idOrName}` API or run `ibmcloud ks alb ls --cluster <cluster_name_or_ID>`.",
            "name": "alb_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AutoscaleDetails"
              }
            }
          },
          "description": "New autoscale configuration to be set.",
          "required": true
        },
        "x-codegen-request-body-name": "autoscaleDetails",
        "responses": {
          "200": {
            "description": "Ok. The provided autoscaling configuration for your ALB is set.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "400": {
            "description": "Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0001",
                  "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud iam oauth-tokens",
                  "terseDescription": "Unauthorized",
                  "type": "Authentication"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden. The credentials set for the region and resource group have insufficient permissions to use a requested optional feature.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "404": {
            "description": "Not found. The the specified cluster or ALB could not be found.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0002",
                  "description": "The requested resource could not be found. Verify the resource ID and try again.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster ls",
                  "terseDescription": "Not found",
                  "type": "NotFound"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0003",
                  "description": "An internal server error occurred. Try again later or contact support if the problem persists.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>",
                  "terseDescription": "Internal error",
                  "type": "InternalServerError"
                }
              }
            }
          }
        },
        "x-ibm-events": {
          "description": "An autoscaling configuration is created or updated.",
          "events": [
            {
              "name": "cluster-alb-autoscale.set"
            }
          ]
        },
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "containers-kubernetes.cluster.update"
            }
          ],
          "description": "You must have the Editor platform role for the Kubernetes Service in IAM to call this endpoint."
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X PUT \"/global/ingress/v2/clusters/{idOrName}/albs/{albID}/autoscale\" \\\n",
                      "  -H \"Authorization: Bearer $IAM_TOKEN\" \\\n",
                      "  -H \"Content-Type: application/json\" \\\n",
                      "  -d '{\n",
                      "  \"config\": {\n",
                      "    \"cpuAverageUtilization\": 1,\n",
                      "    \"customMetrics\": \"example-value\",\n",
                      "    \"maxReplicas\": 1,\n",
                      "    \"minReplicas\": 1\n",
                      "  }\n",
                      "}'\n"
                    ]
                  }
                ]
              }
            ]
          }
        }
      },
      "delete": {
        "description": "Delete an autoscaling configuration for the ALB. Deleting the configuration disables autoscaling.",
        "tags": [
          "ingress-autoscale"
        ],
        "summary": "Delete the autoscaling configuration for an ALB.",
        "operationId": "V2UnsetAutoScale",
        "parameters": [
          {
            "description": "Your IBM Cloud Identity and Access Management (IAM) token. To retrieve your IAM token, run `ibmcloud iam oauth-tokens`.",
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The name or ID of the cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.",
            "name": "id_or_name",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The ID of the ALB that you want details for. To list the IDs for the ALBs in a cluster, use the `GET /clusters/{idOrName}` API or run `ibmcloud ks alb ls --cluster <cluster_name_or_ID>`.",
            "name": "alb_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "204": {
            "description": "Ok. Autoscale config was unset successfully.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "400": {
            "description": "Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0001",
                  "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud iam oauth-tokens",
                  "terseDescription": "Unauthorized",
                  "type": "Authentication"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden. The credentials set for the region and resource group have insufficient permissions to use a requested optional feature.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "404": {
            "description": "Not found. No autoscaling configuration set for this cluster and ALB, or the specified cluster or ALB could not be found.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0002",
                  "description": "The requested resource could not be found. Verify the resource ID and try again.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster ls",
                  "terseDescription": "Not found",
                  "type": "NotFound"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0003",
                  "description": "An internal server error occurred. Try again later or contact support if the problem persists.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>",
                  "terseDescription": "Internal error",
                  "type": "InternalServerError"
                }
              }
            }
          }
        },
        "x-ibm-events": {
          "description": "An autoscaling configuration is deleted.",
          "events": [
            {
              "name": "cluster-alb-autoscale.unset"
            }
          ]
        },
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "containers-kubernetes.cluster.update"
            }
          ],
          "description": "You must have the Editor platform role for the Kubernetes Service in IAM to call this endpoint."
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X DELETE \"/global/ingress/v2/clusters/{idOrName}/albs/{albID}/autoscale\" \\\n",
                      "  -H \"Authorization: Bearer $IAM_TOKEN\"\n"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/ingress/v2/dns/createDomain": {
      "post": {
        "description": "Create an Ingress domain for a cluster.",
        "tags": [
          "ingress-domain"
        ],
        "summary": "Create an Ingress domain for a cluster.",
        "operationId": "CreateDomain",
        "parameters": [
          {
            "description": "Your IBM Cloud Identity and Access Management (IAM) token. To retrieve your IAM token, run `ibmcloud iam oauth-tokens`.",
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateDomainReq"
              }
            }
          },
          "description": "Input parameter to create a domain.",
          "required": true
        },
        "x-codegen-request-body-name": "domainConfig",
        "responses": {
          "201": {
            "description": "Created. The domain is created.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ExtendedNlbVPCConfig"
                },
                "example": {
                  "certProvider": "vpc-gen2",
                  "cluster": "example-value",
                  "crn": "example-value",
                  "dnsType": "example-value",
                  "isDefault": false,
                  "lbHostname": "my-cluster",
                  "nlbIPArray": [
                    "example-value"
                  ],
                  "nlbSubdomain": "example-value"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0001",
                  "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud iam oauth-tokens",
                  "terseDescription": "Unauthorized",
                  "type": "Authentication"
                }
              }
            }
          },
          "404": {
            "description": "Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0002",
                  "description": "The requested resource could not be found. Verify the resource ID and try again.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster ls",
                  "terseDescription": "Not found",
                  "type": "NotFound"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0003",
                  "description": "An internal server error occurred. Try again later or contact support if the problem persists.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>",
                  "terseDescription": "Internal error",
                  "type": "InternalServerError"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X POST \"/global/ingress/v2/dns/createDomain\" \\\n",
                      "  -H \"Authorization: Bearer $IAM_TOKEN\" \\\n",
                      "  -H \"Content-Type: application/json\" \\\n",
                      "  -d '{\n",
                      "  \"cluster\": \"example-value\",\n",
                      "  \"crn\": \"example-value\",\n",
                      "  \"hostname\": \"my-cluster\",\n",
                      "  \"ips\": [\n",
                      "    \"example-value\"\n",
                      "  ],\n",
                      "  \"isDefault\": false,\n",
                      "  \"provider\": \"vpc-gen2\",\n",
                      "  \"secretNamespace\": \"my-cluster\",\n",
                      "  \"zoneID\": \"example-id-123\"\n",
                      "}'\n"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/ingress/v2/dns/deleteCredential": {
      "post": {
        "description": "Deprecated: Delete the registered external provider credential for a cluster.",
        "tags": [
          "ingress-domain"
        ],
        "summary": "Deprecated: Delete external domain provider credential.",
        "operationId": "DeleteCredential",
        "deprecated": true,
        "parameters": [
          {
            "description": "Your IBM Cloud Identity and Access Management (IAM) token. To retrieve your IAM token, run `ibmcloud iam oauth-tokens`.",
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The name or ID of the cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.",
            "name": "cluster",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "204": {
            "description": "No Content. The credential was successfully fetched.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0001",
                  "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud iam oauth-tokens",
                  "terseDescription": "Unauthorized",
                  "type": "Authentication"
                }
              }
            }
          },
          "404": {
            "description": "Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0002",
                  "description": "The requested resource could not be found. Verify the resource ID and try again.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster ls",
                  "terseDescription": "Not found",
                  "type": "NotFound"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0003",
                  "description": "An internal server error occurred. Try again later or contact support if the problem persists.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>",
                  "terseDescription": "Internal error",
                  "type": "InternalServerError"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X POST \"/global/ingress/v2/dns/deleteCredential?cluster=example-value\" \\\n",
                      "  -H \"Authorization: Bearer $IAM_TOKEN\"\n"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/ingress/v2/dns/deleteDomain": {
      "post": {
        "description": "Delete a non-default Ingress domain for a cluster.",
        "tags": [
          "ingress-domain"
        ],
        "summary": "Delete a non-default Ingress domain for a cluster.",
        "operationId": "DeleteDomain",
        "parameters": [
          {
            "description": "Your IBM Cloud Identity and Access Management (IAM) token. To retrieve your IAM token, run `ibmcloud iam oauth-tokens`.",
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteDomainReq"
              }
            }
          },
          "description": "Input parameter to delete a domain.",
          "required": true
        },
        "x-codegen-request-body-name": "domainConfig",
        "responses": {
          "200": {
            "description": "Ok. The domain is deleted.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0001",
                  "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud iam oauth-tokens",
                  "terseDescription": "Unauthorized",
                  "type": "Authentication"
                }
              }
            }
          },
          "404": {
            "description": "Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0002",
                  "description": "The requested resource could not be found. Verify the resource ID and try again.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster ls",
                  "terseDescription": "Not found",
                  "type": "NotFound"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0003",
                  "description": "An internal server error occurred. Try again later or contact support if the problem persists.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>",
                  "terseDescription": "Internal error",
                  "type": "InternalServerError"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X POST \"/global/ingress/v2/dns/deleteDomain\" \\\n",
                      "  -H \"Authorization: Bearer $IAM_TOKEN\" \\\n",
                      "  -H \"Content-Type: application/json\" \\\n",
                      "  -d '{\n",
                      "  \"cluster\": \"example-value\",\n",
                      "  \"subdomain\": \"example-value\"\n",
                      "}'\n"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/ingress/v2/dns/getCredential": {
      "get": {
        "description": "Deprecated: Get metadata for the registered external provider credential for a cluster.",
        "tags": [
          "ingress-domain"
        ],
        "summary": "Deprecated: Get external domain provider credential metadata.",
        "operationId": "GetCredential",
        "deprecated": true,
        "parameters": [
          {
            "description": "Your IBM Cloud Identity and Access Management (IAM) token. To retrieve your IAM token, run `ibmcloud iam oauth-tokens`.",
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The name or ID of the cluster. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.",
            "name": "cluster",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Ok. The credential was successfully fetched.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/GetCredentials"
                },
                "example": {
                  "cluster": "example-value",
                  "credID": "example-id-123",
                  "expiresOn": "example-value",
                  "lastUpdatedTimestamp": "example-value",
                  "provider": "vpc-gen2"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0001",
                  "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud iam oauth-tokens",
                  "terseDescription": "Unauthorized",
                  "type": "Authentication"
                }
              }
            }
          },
          "404": {
            "description": "Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0002",
                  "description": "The requested resource could not be found. Verify the resource ID and try again.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster ls",
                  "terseDescription": "Not found",
                  "type": "NotFound"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0003",
                  "description": "An internal server error occurred. Try again later or contact support if the problem persists.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>",
                  "terseDescription": "Internal error",
                  "type": "InternalServerError"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X GET \"/global/ingress/v2/dns/getCredential?cluster=example-value\" \\\n",
                      "  -H \"Authorization: Bearer $IAM_TOKEN\"\n"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/ingress/v2/dns/replaceDefaultSubdomain": {
      "post": {
        "description": "Replace the default Ingress domain for a cluster and refresh the related cluster components.",
        "tags": [
          "ingress-domain"
        ],
        "summary": "Replace the existing default Ingress domain for a cluster.",
        "operationId": "ReplaceDefaultSubdomain",
        "parameters": [
          {
            "description": "Your IBM Cloud Identity and Access Management (IAM) token. To retrieve your IAM token, run `ibmcloud iam oauth-tokens`.",
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ReplaceDefaultSubdomainReq"
              }
            }
          },
          "description": "Input parameter to replace default domain.",
          "required": true
        },
        "x-codegen-request-body-name": "domainConfig",
        "responses": {
          "200": {
            "description": "Ok. The default domain is replaced.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0001",
                  "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud iam oauth-tokens",
                  "terseDescription": "Unauthorized",
                  "type": "Authentication"
                }
              }
            }
          },
          "404": {
            "description": "Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0002",
                  "description": "The requested resource could not be found. Verify the resource ID and try again.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster ls",
                  "terseDescription": "Not found",
                  "type": "NotFound"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0003",
                  "description": "An internal server error occurred. Try again later or contact support if the problem persists.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>",
                  "terseDescription": "Internal error",
                  "type": "InternalServerError"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X POST \"/global/ingress/v2/dns/replaceDefaultSubdomain\" \\\n",
                      "  -H \"Authorization: Bearer $IAM_TOKEN\" \\\n",
                      "  -H \"Content-Type: application/json\" \\\n",
                      "  -d '{\n",
                      "  \"cluster\": \"example-value\",\n",
                      "  \"subdomain\": \"example-value\"\n",
                      "}'\n"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/ingress/v2/dns/setCredential": {
      "post": {
        "description": "Deprecated: Register a credential for external domain provider for use in ingress domain commands.",
        "tags": [
          "ingress-domain"
        ],
        "summary": "Deprecated: Set external domain provider credential.",
        "operationId": "SetCredential",
        "deprecated": true,
        "parameters": [
          {
            "description": "Your IBM Cloud Identity and Access Management (IAM) token. To retrieve your IAM token, run `ibmcloud iam oauth-tokens`.",
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateCredentialReq"
              }
            }
          },
          "description": "Input parameter to register an external domain provider credential.",
          "required": true
        },
        "x-codegen-request-body-name": "domainConfig",
        "responses": {
          "201": {
            "description": "Created. The credential was successfully registered.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0001",
                  "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud iam oauth-tokens",
                  "terseDescription": "Unauthorized",
                  "type": "Authentication"
                }
              }
            }
          },
          "404": {
            "description": "Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0002",
                  "description": "The requested resource could not be found. Verify the resource ID and try again.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster ls",
                  "terseDescription": "Not found",
                  "type": "NotFound"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0003",
                  "description": "An internal server error occurred. Try again later or contact support if the problem persists.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>",
                  "terseDescription": "Internal error",
                  "type": "InternalServerError"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X POST \"/global/ingress/v2/dns/setCredential\" \\\n",
                      "  -H \"Authorization: Bearer $IAM_TOKEN\" \\\n",
                      "  -H \"Content-Type: application/json\" \\\n",
                      "  -d '{\n",
                      "  \"akamai_credentials\": {\n",
                      "    \"access_token\": \"example-value\",\n",
                      "    \"client_secret\": \"example-value\",\n",
                      "    \"client_token\": \"example-value\",\n",
                      "    \"host\": \"example-value\",\n",
                      "    \"zone\": \"us-south-1\"\n",
                      "  },\n",
                      "  \"cloudflare_credentials\": {\n",
                      "    \"token\": \"example-value\",\n",
                      "    \"zone_id\": \"example-id-123\"\n",
                      "  },\n",
                      "  \"cluster\": \"example-value\",\n",
                      "  \"provider\": \"vpc-gen2\"\n",
                      "}'\n"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/ingress/v2/dns/updateDomain": {
      "post": {
        "description": "Update an Ingress domain with the specified IPs or hostnames.",
        "tags": [
          "ingress-domain"
        ],
        "summary": "Update an Ingress domain for a cluster.",
        "operationId": "UpdateDomain",
        "parameters": [
          {
            "description": "Your IBM Cloud Identity and Access Management (IAM) token. To retrieve your IAM token, run `ibmcloud iam oauth-tokens`.",
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateDomainReq"
              }
            }
          },
          "description": "Input parameter to update a domain.",
          "required": true
        },
        "x-codegen-request-body-name": "domainConfig",
        "responses": {
          "200": {
            "description": "Ok. The domain is updated.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0001",
                  "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud iam oauth-tokens",
                  "terseDescription": "Unauthorized",
                  "type": "Authentication"
                }
              }
            }
          },
          "404": {
            "description": "Not found. The specified cluster could not be found. To list the clusters that you have access to, use the `GET /v1/clusters` API or run `ibmcloud ks cluster ls`.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0002",
                  "description": "The requested resource could not be found. Verify the resource ID and try again.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster ls",
                  "terseDescription": "Not found",
                  "type": "NotFound"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0003",
                  "description": "An internal server error occurred. Try again later or contact support if the problem persists.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>",
                  "terseDescription": "Internal error",
                  "type": "InternalServerError"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X POST \"/global/ingress/v2/dns/updateDomain\" \\\n",
                      "  -H \"Authorization: Bearer $IAM_TOKEN\" \\\n",
                      "  -H \"Content-Type: application/json\" \\\n",
                      "  -d '{\n",
                      "  \"cluster\": \"example-value\",\n",
                      "  \"domain\": \"example-value\",\n",
                      "  \"hostname\": \"my-cluster\",\n",
                      "  \"ips\": [\n",
                      "    \"example-value\"\n",
                      "  ]\n",
                      "}'\n"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/ingress/v2/load-balancer/configuration": {
      "get": {
        "description": "Get settings for load balancers that expose Ingress ALBs in your cluster.",
        "tags": [
          "ingress-loadbalancer"
        ],
        "summary": "Get configuration of load balancers for Ingress ALBs.",
        "operationId": "GetLBConfig",
        "parameters": [
          {
            "description": "Your IBM Cloud Identity and Access Management (IAM) token. To retrieve your IAM token, run `ibmcloud iam oauth-tokens`.",
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The name or ID of the cluster.",
            "name": "cluster",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Type of load balancer configuration to return. Possible options are `public` and `private`.",
            "name": "type",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Ok. The load balancer configuration for the specified type is returned.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/LBConfig"
                },
                "example": {
                  "backend": {
                    "private": "example-value",
                    "public": "example-value"
                  },
                  "cluster": "example-value",
                  "proxyProtocol": {
                    "cidr": [
                      "example-id-123"
                    ],
                    "enable": true,
                    "headerTimeout": 1
                  },
                  "type": "example-value"
                }
              }
            }
          },
          "400": {
            "description": "Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0001",
                  "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud iam oauth-tokens",
                  "terseDescription": "Unauthorized",
                  "type": "Authentication"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden. The credentials set for the region and resource group have insufficient permissions to use a requested optional feature.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "404": {
            "description": "Not found. The specified cluster could not be found.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0002",
                  "description": "The requested resource could not be found. Verify the resource ID and try again.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster ls",
                  "terseDescription": "Not found",
                  "type": "NotFound"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0003",
                  "description": "An internal server error occurred. Try again later or contact support if the problem persists.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>",
                  "terseDescription": "Internal error",
                  "type": "InternalServerError"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X GET \"/global/ingress/v2/load-balancer/configuration?cluster=example-value&type=example-value\" \\\n",
                      "  -H \"Authorization: Bearer $IAM_TOKEN\"\n"
                    ]
                  }
                ]
              }
            ]
          }
        }
      },
      "patch": {
        "description": "Configure settings for load balancers that expose Ingress ALBs in your cluster. After you use this API to set load balancer options, the existing load balancers are deleted and recreated, which can cause service disruptions. Two unused IP addresses for each new load balancer must be available in each subnet during the load balancer recreation. To configure load balancers that expose only your public ALBs or only your private ALBs, specify `public` or `private` for the `type` field in the request body. If you leave the `type` field empty, the configuration is applied to all load balancers that expose ALBs in the cluster.\n\nAvailable features:\n  + `proxyProtocol`:\n    + Limitations:\n      + This feature is supported only for VPC Gen 2 clusters that run Kubernetes version 1.18 or later.\n      + This feature is cluster-level, therefore `type` field of the request must be empty.\n    + Configuration:\n      + `enable`: Set to `true` to enable or `false` to disable the PROXY protocol for the ALB load balancers. The PROXY protocol enables load balancers to pass client connection information that is contained in headers on the client request, including the client IP address, the proxy server IP address, and both port numbers, to ALBs.\n      + `headerTimeout`: The timeout value, in seconds, for the load balancer to receive the PROXY protocol headers that contain the client connection information. This option has effect only on ALBs running the Kubernetes Ingress image. Default: `5`\n      + `cidr`: Load balancer CIDRs from which ALBs process information in PROXY protocol headers. If requests that contain PROXY headers originate from load balancers in other IP ranges, the information in the headers is not process by the ALB. This option has effect only on ALBs running the Kubernetes Ingress image. Default: `0.0.0.0/0`",
        "tags": [
          "ingress-loadbalancer"
        ],
        "summary": "Update the configuration of load balancers for Ingress ALBs.",
        "operationId": "PatchLBConfig",
        "parameters": [
          {
            "description": "Your IBM Cloud Identity and Access Management (IAM) token. To retrieve your IAM token, run `ibmcloud iam oauth-tokens`.",
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/LBConfig"
              }
            }
          },
          "description": "In the request body, specify the desired configuration of load balancer features you want to change.",
          "required": true
        },
        "x-codegen-request-body-name": "LBConfig",
        "responses": {
          "202": {
            "description": "Load-balancer configuration submitted and update started.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "400": {
            "description": "Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized. The IAM or UAA token is invalid or expired. To retrieve your UAA and IAM tokens, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0001",
                  "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud iam oauth-tokens",
                  "terseDescription": "Unauthorized",
                  "type": "Authentication"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden. The credentials set for the region and resource group have insufficient permissions to use a requested optional feature.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "404": {
            "description": "Not found. The specified cluster could not be found.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0002",
                  "description": "The requested resource could not be found. Verify the resource ID and try again.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster ls",
                  "terseDescription": "Not found",
                  "type": "NotFound"
                }
              }
            }
          },
          "423": {
            "description": "Locked. The previous load-balancer configuration is still in progress.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact the IBM Cloud support.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0003",
                  "description": "An internal server error occurred. Try again later or contact support if the problem persists.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>",
                  "terseDescription": "Internal error",
                  "type": "InternalServerError"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X PATCH \"/global/ingress/v2/load-balancer/configuration\" \\\n",
                      "  -H \"Authorization: Bearer $IAM_TOKEN\" \\\n",
                      "  -H \"Content-Type: application/json\" \\\n",
                      "  -d '{\n",
                      "  \"backend\": {\n",
                      "    \"private\": \"example-value\",\n",
                      "    \"public\": \"example-value\"\n",
                      "  },\n",
                      "  \"cluster\": \"example-value\",\n",
                      "  \"proxyProtocol\": {\n",
                      "    \"cidr\": [\n",
                      "      \"example-id-123\"\n",
                      "    ],\n",
                      "    \"enable\": true,\n",
                      "    \"headerTimeout\": 1\n",
                      "  },\n",
                      "  \"type\": \"example-value\"\n",
                      "}'\n"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/ingress/v2/secret/addField": {
      "post": {
        "description": "Add fields to an Ingress secret with a secret stored in IBM Cloud Secrets Manager.",
        "tags": [
          "ingress-secret"
        ],
        "summary": "Add fields to an Ingress secret with a secret stored in IBM Cloud Secrets Man...",
        "operationId": "AddSecretField",
        "parameters": [
          {
            "description": "Your IBM Cloud Identity and Access Management (IAM) token. To retrieve your IAM token, run `ibmcloud iam oauth-tokens`.",
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateConfig"
              }
            }
          },
          "description": "Input parameter to add a secret field.",
          "required": true
        },
        "x-codegen-request-body-name": "secretConfig",
        "responses": {
          "201": {
            "description": "Updated. The fields were successfully added to the secret in the cluster.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Secret"
                },
                "example": {
                  "cluster": "example-value",
                  "crn": "example-value",
                  "domain": "example-value",
                  "domains": [
                    "example-value"
                  ],
                  "expiresOn": "example-value",
                  "fields": [
                    {
                      "crn": "example-value",
                      "expiresOn": "example-value",
                      "lastUpdatedTimestamp": "example-value",
                      "name": "my-cluster",
                      "secretType": "example-value"
                    }
                  ],
                  "lastUpdatedTimestamp": "example-value",
                  "name": "my-cluster"
                }
              }
            }
          },
          "400": {
            "description": "Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0001",
                  "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud iam oauth-tokens",
                  "terseDescription": "Unauthorized",
                  "type": "Authentication"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0003",
                  "description": "An internal server error occurred. Try again later or contact support if the problem persists.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>",
                  "terseDescription": "Internal error",
                  "type": "InternalServerError"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X POST \"/global/ingress/v2/secret/addField\" \\\n",
                      "  -H \"Authorization: Bearer $IAM_TOKEN\" \\\n",
                      "  -H \"Content-Type: application/json\" \\\n",
                      "  -d '{\n",
                      "  \"add\": [\n",
                      "    {\n",
                      "      \"append_prefix\": false,\n",
                      "      \"crn\": \"example-value\",\n",
                      "      \"name\": \"my-cluster\"\n",
                      "    }\n",
                      "  ],\n",
                      "  \"cluster\": \"example-value\",\n",
                      "  \"crn\": \"example-value\",\n",
                      "  \"name\": \"my-cluster\",\n",
                      "  \"namespace\": \"my-cluster\",\n",
                      "  \"remove\": [\n",
                      "    {\n",
                      "      \"name\": \"my-cluster\"\n",
                      "    }\n",
                      "  ]\n",
                      "}'\n"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/ingress/v2/secret/createSecret": {
      "post": {
        "description": "Create an Ingress secret with a secret stored in IBM Cloud Secrets Manager.",
        "tags": [
          "ingress-secret"
        ],
        "summary": "Create an Ingress secret with a secret stored in IBM Cloud Secrets Manager.",
        "operationId": "CreateSecret",
        "parameters": [
          {
            "description": "Your IBM Cloud Identity and Access Management (IAM) token. To retrieve your IAM token, run `ibmcloud iam oauth-tokens`.",
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateConfig"
              }
            }
          },
          "description": "Input parameter to add a secret.",
          "required": true
        },
        "x-codegen-request-body-name": "secretConfig",
        "responses": {
          "201": {
            "description": "Created. The secret was successfully created in the cluster.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Secret"
                },
                "example": {
                  "cluster": "example-value",
                  "crn": "example-value",
                  "domain": "example-value",
                  "domains": [
                    "example-value"
                  ],
                  "expiresOn": "example-value",
                  "fields": [
                    {
                      "crn": "example-value",
                      "expiresOn": "example-value",
                      "lastUpdatedTimestamp": "example-value",
                      "name": "my-cluster",
                      "secretType": "example-value"
                    }
                  ],
                  "lastUpdatedTimestamp": "example-value",
                  "name": "my-cluster"
                }
              }
            }
          },
          "400": {
            "description": "Bad request. The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request in JSON format.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized. The IAM token is invalid or expired. To retrieve your IAM token, run `ibmcloud login` and then `ibmcloud iam oauth-tokens`.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0001",
                  "description": "The provided IAM token is invalid or has expired. Provide a valid IAM token.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud iam oauth-tokens",
                  "terseDescription": "Unauthorized",
                  "type": "Authentication"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error. IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Please wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support.",
            "headers": {
              "X-Request-Id": {
                "description": "Unique ID for this request",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "E0003",
                  "description": "An internal server error occurred. Try again later or contact support if the problem persists.",
                  "incidentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                  "recoveryCLI": "ibmcloud ks cluster get --cluster <cluster_name_or_ID>",
                  "terseDescription": "Internal error",
                  "type": "InternalServerError"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
[...]
